# Module: MMM-covid19

This module displays COVID-19 data aggregated by [rp-online](https://rp-online.de).

![](screenshot.png)

## Installation

1. Navigate to the `MagicMirror/modules` directory.
1. Clone the module
1. Configure the module as per below
1. Restart MagicMirror


## Using the module
```javascript
modules: [
        {
                module: "MMM-covid19",
                position: "top_left",
                config: {
                        // The config property is optional.
                        // See 'Configuration options' for more information.
                }
        }
]
```

## Configuration options

| Option                       | Description                                                                                          |
| ------                       | -----------                                                                                          |
| `region`                     | Choose region to be fetched <br> **Default:** `Bonn`                                                 |
| `updateInterval`             | How often does the content needs to be fetched? (Milliseconds) <br> **Default:** 10800000 (4 hours)  |
| `showHeader`                 | Show `COVID-19 Daten` as module header? <br> **Values:** `true` or `/false` <br> **Default:** `true` |
| `appendLocationNameToHeader` | Append region name to header? <br> **Values:** `true` or `/false` <br> **Default:** `true`           |

### List available regions

`curl https://rp-online.de/app/interaktiv_server/data/rki_nrw_mapped.json.php | jq | awk '/^  "/ {print}'`
